.slidePanel {
  position: fixed;
  max-width: 100%;
  min-height: 100%;
  visibility: hidden;
  z-index: 999999999;
  background: #fff;

  box-shadow: 0px 0px 30px rgba(36, 36, 36, 0.92);

}
.slidePanel-right,
.slidePanel-left {
  width: 40%;

}
@media (max-width: 768px) {
  .slidePanel-right,
  .slidePanel-left {
    width: 100%;
  }
}
.slidePanel-top,
.slidePanel-bottom {
  width: 100%;
  height: 400px;
}
@media (max-width: 768px) {
  .slidePanel-top,
  .slidePanel-bottom {
    top: 0;
    bottom: 0;
    height: auto;
  }
}
.slidePanel-left {
  top: 0;
  bottom: 0;
  left: 0;
}
.slidePanel-right {
  top: 0;
  right: 0;
  bottom: 0;
}
.slidePanel-top {
  top: 0;
  left: 0;
}
.slidePanel-bottom {
  bottom: 0;
  left: 0;
}
.slidePanel-show {
  visibility: visible;
}
.slidePanel-loading {
  visibility: hidden;
}
.slidePanel-loading-show {
  visibility: visible;
}
.slidePanel-loading .spinner {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
       -o-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
